## hubzero-release-julian 2.2.8-1+deb9

=== Makefile ===
# @package      hubzero-release
# @file         Makefile
# @copyright    Copyright (c) 2018-2020 The Regents of the University of California.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2018-2020 The Regents of the University of California.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#

ETCDIR=$(DESTDIR)/etc
MAJOR_VERSION=`lsb_release -r -s | cut -d . -f 1`

all:
	@true

install:
	if [ -f /etc/debian_version -a $(MAJOR_VERSION) = '6' ]; then install --mode 0644 -D hubzero-julian.list.squeeze $(ETCDIR)/apt/sources.list.d/hubzero-julian.list; fi
	if [ -f /etc/debian_version -a $(MAJOR_VERSION) = '7' ]; then install --mode 0644 -D hubzero-julian.list.wheezy $(ETCDIR)/apt/sources.list.d/hubzero-julian.list; fi
	if [ -f /etc/debian_version -a $(MAJOR_VERSION) = '8' ]; then install --mode 0644 -D hubzero-julian.list.jessie $(ETCDIR)/apt/sources.list.d/hubzero-julian.list; fi
	if [ -f /etc/debian_version -a $(MAJOR_VERSION) = '9' ]; then install --mode 0644 -D hubzero-julian.list.stretch $(ETCDIR)/apt/sources.list.d/hubzero-julian.list; fi
	if [ -f /etc/debian_version ]; then install --mode 0644 -D hubzero-julian.gpg $(ETCDIR)/apt/trusted.gpg.d/hubzero-julian.gpg; fi

	if [ -f /etc/redhat-release -a $(MAJOR_VERSION) = '6' ]; then install --mode 0644 -D hubzero-julian.repo.el6 $(ETCDIR)/yum.repos.d/hubzero-julian.repo; fi
	if [ -f /etc/redhat-release -a $(MAJOR_VERSION) = '7' ]; then install --mode 0644 -D hubzero-julian.repo.el7 $(ETCDIR)/yum.repos.d/hubzero-julian.repo; fi
	if [ -f /etc/redhat-release ]; then install --mode 0644 -D RPM-GPG-KEY-hubzero-julian $(ETCDIR)/pki/rpm-gpg/RPM-GPG-KEY-hubzero-julian; fi

uninstall:
	rm $(ETCDIR)/apt/sources.list.d/hubzero-julian.list
	rm $(ETCDIR)/apt/trustd.gpg.d/hubzero-julian.gpg
	rm $(ETCDIR)/yum.repos.d/hubzero-julian.repo
	rm $(ETCDIR)/pki/rpm-gpg/RPM-GPG-KEY-hubzero-julian

postinst:
	sed -i -e '/packages\.hubzero\.org\/deb/d' /etc/apt/sources.list
	rm -f /etc/yum.repos.d/hubzero-eddie.repo
	if [ -f /etc/debian_version ]; then apt-get update -o APT::List-Cleanup=0 -o Dir::Etc::sourcelist=/etc/apt/sources.list.d/hubzero-julian.list -o Dir::Etc::sourceparts="/dev/null"; fi

clean:
	@true

.PHONY: all install uninstall postinst clean

=== debian/changelog ===
hubzero-release-julian (2.2.8-1+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 18:35:29 -0700

hubzero-release-julian (2.2.7-1) unstable; urgency=low

  * Fix gpgkey uri in el7 repo configuration file

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Sun, 12 Apr 2020 21:30:22 -0700

hubzero-release-julian (2.2.6-1) unstable; urgency=low

  * Rename package hubzero-release-julian
  * Change copyright/trademark to The Regents of the University of California.
  * Remove per file author references

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 10 Apr 2020 21:31:15 -0700

hubzero-julian-repo (2.2.5-1) unstable; urgency=low

  * Fix reference to gpg filename

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 17 Dec 2018 13:36:35 -0500

hubzero-julian-repo (2.2.4-1) unstable; urgency=low

  * Normalize gpg file name in rpm package

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 17 Dec 2018 12:05:56 -0500

hubzero-julian-repo (2.2.3-1) unstable; urgency=low

  * Add yum repos

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 12 Oct 2018 10:49:19 -0400

hubzero-julian-repo (2.2.2-1) unstable; urgency=low

  * Revert last change as autoupdate can't run in postinst due to db lock

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 27 Jun 2018 11:32:56 -0400

hubzero-julian-repo (2.2.1-1) unstable; urgency=low

  * Autoupdate package index for this repo on postinst

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 27 Jun 2018 11:27:53 -0400

hubzero-julian-repo (2.2.0-1) unstable; urgency=low

  * Initial release. 

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 26 Jun 2018 14:55:17 -0400

=== debian/control ===
Source: hubzero-release-julian
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-release-julian
Architecture: amd64
Conflicts: hubzero-ellie-repo, hubzero-shira-repo, hubzero-diego-repo, hubzero-buck-repo, hubzero-manny-repo, hubzero-lenny-repo, hubzero-stretch-repo, hubzero-julian-repo, hubzero-release-ellie, hubzero-release-shira, hubzero-release-diego, hubzero-release-buck, hubzero-release-manny, hubzero-release-lenny, hubzero-release-stretch
Replaces: hubzero-ellie-repo, hubzero-shira-repo, hubzero-diego-repo, hubzero-buck-repo, hubzero-manny-repo, hubzero-lenny-repo, hubzero-stretch-repo, hubzero-julian-repo, hubzero-release-ellie, hubzero-release-shira, hubzero-release-diego, hubzero-release-buck, hubzero-release-manny, hubzero-release-lenny, hubzero-release-stretch
Description: HUBzero Repository 2.2 (julian)
 Add HUBzero Repository 2.2 (julian) to system

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-release-julian
# @file         rules
# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2020 The Regents of the University of California.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of The Regents of the University of California.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-release-julian install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

#binary: binary-indep 
binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install
